import React, { Fragment } from 'react';

import Tip from './Tip';

const Tips = [
    <Tip>
        Use the <strong>TAB key</strong> while entering ingredients or instructions to easily jump from field to field and create new lines.
    </Tip>,
    <Tip>
        Copying your recipes from other sources?<br/>
        Use our <a href="https://help.bootstrapped.ventures/article/70-import-recipe-from-text" target="_blank">Import Recipe from Text</a> feature to speed things up.
    </Tip>,
    <Tip>
        Have you seen the <strong>toolbar at the bottom of the recipe modal</strong> when editing rich fields (like the summary or instructions)? It gives you quick access to some editing and symbols.
    </Tip>,
    <Tip>
        The <strong>Bulk Edit column</strong> on some of the WP Recipe Maker &gt; Manage pages allows you to quickly edit multiple rows at once.
    </Tip>,
    <Tip>
        Make sure to use the <a href="https://help.bootstrapped.ventures/article/182-itemlist-metadata-for-recipe-roundup-posts" target="_blank">Recipe Roundup feature</a> for roundup posts. This will add itemList metadata that allows those posts to show up as a carousel in Google.
    </Tip>,
    <Tip>
        Give your visitors an easy way to find recipes by course, cuisine, ingredient, calories, ... by combining WPRM with our <a href="https://demo.wprecipemaker.com/recipe-index/" target="_blank">WP Ultimate Post Grid plugin</a>.
    </Tip>,
    <Tip>
        When adding equipment or ingredient names, the toolbar at the bottom of the recipe modal will <strong>show suggestions</strong> that you used before. Just click to use them and keep things consistent!
    </Tip>,
    <Tip>
        <strong>Toggle specific columns</strong> at the top of the WP Recipe Maker &gt; Manage page to customize it to your needs.
    </Tip>,
    <Tip>
        Join the <a href="https://www.facebook.com/groups/1741126932849712/" target="_blank">WP Recipe Maker Facebook Group</a> to get access to a community of WPRM food bloggers, just like you!
    </Tip>,
];
export default Tips;